Loading...
Searching...
No Matches
etl::ideque< T >::const_iterator Class Reference

Const Iterator. More...

`#include <deque.h>`

## Public Member Functions

| const_iterator (const const_iterator &other)
| const_iterator (const typename ideque::iterator &other)
const_iterator & | operator= (const const_iterator &other)
const_iterator & | operator= (const typename ideque::iterator &other)
const_iterator & | operator++ ()
const_iterator | operator++ (int)
const_iterator & | operator+= (difference_type offset)
const_iterator & | operator-= (difference_type offset)
const_iterator & | operator-- ()
const_iterator | operator-- (int)
const_reference | operator* () const
const_pointer | operator-> () const
const_reference | operator[] (size_t i) const
difference_type | get_index () const
ideque & | container () const
pointer | get_buffer () const
void | swap (const_iterator &other)

## Friends

class | ideque
const_iterator | operator+ (const const_iterator &lhs, difference_type offset)
const_iterator | operator+ (difference_type offset, const const_iterator &lhs)
const_iterator | operator- (const const_iterator &lhs, difference_type offset)
bool | operator== (const const_iterator &lhs, const const_iterator &rhs)
bool | operator!= (const const_iterator &lhs, const const_iterator &rhs)
bool | operator< (const const_iterator &lhs, const const_iterator &rhs)
bool | operator<= (const const_iterator &lhs, const const_iterator &rhs)
bool | operator> (const const_iterator &lhs, const const_iterator &rhs)
bool | operator>= (const const_iterator &lhs, const const_iterator &rhs)

## Additional Inherited Members

Public Types inherited from etl::iterator< ETL_OR_STD::random_access_iterator_tag, const T >
typedef T | value_type
typedef ptrdiff_t | difference_type
typedef T * | pointer
typedef T & | reference
typedef ETL_OR_STD::random_access_iterator_tag | iterator_category

## Detailed Description

template<typename T>
class etl::ideque< T >::const_iterator

Const Iterator.

The documentation for this class was generated from the following file:

- include/etl/deque.h